org.apache.fop.layoutmgr.inline

## Interface InlineLevelEventProducer

All Superinterfaces:
  EventProducer

    public interface InlineLevelEventProducer
    extends EventProducer

Event producer interface for inline-level layout managers.

### Nested Class Summary

Nested Classes
`static class` `InlineLevelEventProducer.Provider` Provider class for the event producer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `inlineContainerAutoIPDNotSupported(Object source, float fallback)` Auto IPD on inline-container is not supported.
`void` `leaderWithoutContent(Object source, Locator loc)` fo:leader with "use-content" but without children.
`void` `lineOverflows(Object source, String elementName, int line, int overflowLength, Locator loc)` A line overflows.

### Method Detail

#### leaderWithoutContent

    void leaderWithoutContent(Object source,
                              Locator loc)

fo:leader with "use-content" but without children.

Parameters:
  `source` - the event source
  `loc` - the location of the error or null
Event.severity:
  ERROR

#### lineOverflows

    void lineOverflows(Object source,
                       String elementName,
                       int line,
                       int overflowLength,
                       Locator loc)

A line overflows.

Parameters:
  `source` - the event source
  `elementName` - the formatting object
  `line` - the number number
  `overflowLength` - the length by which the content overflows the available space (in mpt)
  `loc` - the location of the error or null
Event.severity:
  WARN

#### inlineContainerAutoIPDNotSupported

    void inlineContainerAutoIPDNotSupported(Object source,
                                            float fallback)

Auto IPD on inline-container is not supported.

Parameters:
  `source` - the event source
  `fallback` - the value in points that will be used as a fallback
Event.severity:
  WARN